| Version: 3.0.5

- Main Page
- Related Pages
- Categories
- Classes
- Files

- File List
- File Members

All Classes Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Modules Pages
Classes | Macros | Enumerations
props.h File Reference

## Classes

class | wxPGInDialogValidator
| Creates and manages a temporary wxTextCtrl for validation purposes. More...
class | wxStringProperty
| Basic property with string value. More...
class | wxNumericPropertyValidator
| A more comprehensive numeric validator class. More...
class | wxIntProperty
| Basic property with integer value. More...
class | wxUIntProperty
| Basic property with unsigned integer value. More...
class | wxFloatProperty
| Basic property with double-precision floating point value. More...
class | wxBoolProperty
| Basic property with boolean value. More...
class | wxEnumProperty
| You can derive custom properties with choices from this class. More...
class | wxEditEnumProperty
| wxEnumProperty with wxString value and writable combo box editor. More...
class | wxFlagsProperty
| Represents a bit set that fits in a long integer. More...
class | wxPGFileDialogAdapter
class | wxFileProperty
| Like wxLongStringProperty, but the button triggers file selector instead. More...
class | wxPGLongStringDialogAdapter
class | wxLongStringProperty
| Like wxStringProperty, but has a button that triggers a small text editor dialog. More...
class | wxDirProperty
| Like wxLongStringProperty, but the button triggers dir selector instead. More...
class | wxArrayStringProperty
| Property that manages a list of strings. More...
class | wxPGArrayEditorDialog
class | wxPGArrayStringEditorDialog

## Macros

#define | wxPG_PROP_PASSWORD wxPG_PROP_CLASS_SPECIFIC_2
#define | wxPG_PROP_STATIC_CHOICES wxPG_PROP_CLASS_SPECIFIC_1
#define | wxPG_PROP_SHOW_FULL_FILENAME wxPG_PROP_CLASS_SPECIFIC_1
#define | wxPG_PROP_NO_ESCAPE wxPG_PROP_CLASS_SPECIFIC_1
#define | wxPG_PROP_USE_CHECKBOX wxPG_PROP_CLASS_SPECIFIC_1
#define | wxPG_PROP_USE_DCC wxPG_PROP_CLASS_SPECIFIC_2
#define | wxAEDIALOG_STYLE (wxDEFAULT_DIALOG_STYLE | wxRESIZE_BORDER | wxOK | wxCANCEL | wxCENTRE)

## Enumerations

enum | wxPGNumericValidationConstants { wxPG_PROPERTY_VALIDATION_ERROR_MESSAGE = 0, wxPG_PROPERTY_VALIDATION_SATURATE = 1, wxPG_PROPERTY_VALIDATION_WRAP = 2 }
| Constants used with NumericValidation<>(). More...

## Macro Definition Documentation

#define wxAEDIALOG_STYLE (wxDEFAULT_DIALOG_STYLE | wxRESIZE_BORDER | wxOK | wxCANCEL | wxCENTRE)

#define wxPG_PROP_NO_ESCAPE wxPG_PROP_CLASS_SPECIFIC_1

#define wxPG_PROP_PASSWORD wxPG_PROP_CLASS_SPECIFIC_2

#define wxPG_PROP_SHOW_FULL_FILENAME wxPG_PROP_CLASS_SPECIFIC_1

#define wxPG_PROP_STATIC_CHOICES wxPG_PROP_CLASS_SPECIFIC_1

#define wxPG_PROP_USE_CHECKBOX wxPG_PROP_CLASS_SPECIFIC_1

#define wxPG_PROP_USE_DCC wxPG_PROP_CLASS_SPECIFIC_2

## Enumeration Type Documentation

enum wxPGNumericValidationConstants

Constants used with NumericValidation<>().

Enumerator
wxPG_PROPERTY_VALIDATION_ERROR_MESSAGE | Instead of modifying the value, show an error message.
wxPG_PROPERTY_VALIDATION_SATURATE | Modify value, but stick with the limitations.
wxPG_PROPERTY_VALIDATION_WRAP | Modify value, wrap around on overflow.